> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Network Mapping

> Create new network mapping.

Example of request:

```
curl --location --request POST 'https://api.gcore.com/dns/v2/network-mappings' \
--header 'Authorization: Bearer ...' \
--header 'Content-Type: application/json' \
--data-raw '{
	"name": "test",
	"mapping": [
		{
			"tags": [
				"tag1"
			],
			"cidr4": [
				"192.0.2.0/24",
				"198.0.100.0/24"
			]
		},
		{
			"tags": [
				"tag2",
				"tag3"
			],
			"cidr4": [
				"192.1.2.0/24",
				"198.1.100.0/24"
			],
			"cidr6": [
				"aa:10::/64"
			]
		}
	]
}'
```



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml post /dns/v2/network-mappings
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/network-mappings:
    post:
      tags:
        - NetworkMappings
      summary: Create Network Mapping
      description: "Create new network mapping.\n\nExample of request:\n\n```\ncurl --location --request POST 'https://api.gcore.com/dns/v2/network-mappings' \\\n--header 'Authorization: Bearer ...' \\\n--header 'Content-Type: application/json' \\\n--data-raw '{\n\t\"name\": \"test\",\n\t\"mapping\": [\n\t\t{\n\t\t\t\"tags\": [\n\t\t\t\t\"tag1\"\n\t\t\t],\n\t\t\t\"cidr4\": [\n\t\t\t\t\"192.0.2.0/24\",\n\t\t\t\t\"198.0.100.0/24\"\n\t\t\t]\n\t\t},\n\t\t{\n\t\t\t\"tags\": [\n\t\t\t\t\"tag2\",\n\t\t\t\t\"tag3\"\n\t\t\t],\n\t\t\t\"cidr4\": [\n\t\t\t\t\"192.1.2.0/24\",\n\t\t\t\t\"198.1.100.0/24\"\n\t\t\t],\n\t\t\t\"cidr6\": [\n\t\t\t\t\"aa:10::/64\"\n\t\t\t]\n\t\t}\n\t]\n}'\n```"
      operationId: CreateNetworkMapping
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NetworkMapping'
        required: false
      responses:
        '200':
          description: CreateNetworkMappingResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateNetworkMappingResponse'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            network_mapping = client.dns.network_mappings.create()
            print(network_mapping.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/dns\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tnetworkMapping, err := client.DNS.NetworkMappings.New(context.TODO(), dns.NetworkMappingNewParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", networkMapping.ID)\n}\n"
components:
  schemas:
    NetworkMapping:
      type: object
      properties:
        id:
          type: integer
          format: uint64
          readOnly: true
        mapping:
          $ref: '#/components/schemas/Mapping'
        name:
          type: string
    CreateNetworkMappingResponse:
      type: object
      properties:
        id:
          type: integer
          format: uint64
    Mapping:
      type: array
      items:
        $ref: '#/components/schemas/MappingEntry'
    MappingEntry:
      type: object
      properties:
        cidr4:
          type: array
          items:
            type: string
        cidr6:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````